From 535dc10818a70f09eecffeac8a362c9fc443ca27 Mon Sep 17 00:00:00 2001
From: mobinmob <mobinmob@disroot.org>
Date: Sat, 29 Jun 2019 22:40:19 +0300
Subject: [PATCH 01/11] fluidsynth: update to 2.0.5

---
 common/shlibs               | 2 +-
 srcpkgs/fluidsynth/template | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/common/shlibs b/common/shlibs
index 22c315708e6..64ef881e308 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -964,7 +964,7 @@ libfftw3l_omp.so.3 libfftw-3.3.5_1
 libfftw3f_threads.so.3 libfftw-3.3_1
 libfftw3f.so.3 libfftw-3.3_1
 libfftw3f_omp.so.3 libfftw-3.3.5_1
-libfluidsynth.so.1 libfluidsynth-1.1.5_1
+libfluidsynth.so.2 libfluidsynth-2.0.5_1
 liblo.so.7 liblo-0.26_1
 libvamp-sdk.so.2 libvamp-plugin-sdk-2.2_1
 librubberband.so.2 librubberband-1.6.0_1
diff --git a/srcpkgs/fluidsynth/template b/srcpkgs/fluidsynth/template
index 4c68145fa50..cdccf00cd19 100644
--- a/srcpkgs/fluidsynth/template
+++ b/srcpkgs/fluidsynth/template
@@ -1,7 +1,7 @@
 # Template file for 'fluidsynth'
 pkgname=fluidsynth
-version=1.1.11
-revision=2
+version=2.0.5
+revision=1
 build_style=cmake
 configure_args="-DLIB_SUFFIX=
  -DDEFAULT_SOUNDFONT:STRING=/usr/share/soundfonts/default.sf2"
@@ -12,7 +12,7 @@ maintainer="Juan RP <xtraeme@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="http://www.fluidsynth.org/"
 distfiles="https://github.com/FluidSynth/fluidsynth/archive/v${version}.tar.gz"
-checksum=da8878ff374d12392eecf87e96bad8711b8e76a154c25a571dd8614d1af80de8
+checksum=69b244512883491e7e66b4d0151c61a0d6d867d4d2828c732563be0f78abcc51
 
 libfluidsynth_package() {
 	short_desc+=" - runtime library"

From dce8b6165ac540fb12f919998c26b052939607ee Mon Sep 17 00:00:00 2001
From: mobinmob <mobinmob@disroot.org>
Date: Sun, 30 Jun 2019 15:52:38 +0300
Subject: [PATCH 02/11] Carla: bump revision due to libfluidsynth soname change

---
 srcpkgs/Carla/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/Carla/template b/srcpkgs/Carla/template
index d4d36a4923d..d651d804a85 100644
--- a/srcpkgs/Carla/template
+++ b/srcpkgs/Carla/template
@@ -1,7 +1,7 @@
 # Template file for 'Carla'
 pkgname=Carla
 version=2.0.0
-revision=2
+revision=3
 archs="x86_64* i686* aarch64* arm*"
 build_style=gnu-makefile
 make_build_args="DEFAULT_QT=5"

From 3171257dada34d2739cdad400440b91d06f11a9f Mon Sep 17 00:00:00 2001
From: mobinmob <mobinmob@disroot.org>
Date: Sun, 30 Jun 2019 15:53:31 +0300
Subject: [PATCH 03/11] SLADE: bump revision due to libfluidsynth soname change

---
 srcpkgs/SLADE/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/SLADE/template b/srcpkgs/SLADE/template
index 0015cd93633..3731833f89e 100644
--- a/srcpkgs/SLADE/template
+++ b/srcpkgs/SLADE/template
@@ -1,7 +1,7 @@
 # Template file for 'SLADE'
 pkgname=SLADE
 version=3.1.5
-revision=1
+revision=2
 build_style=cmake
 hostmakedepends="pkg-config p7zip"
 makedepends="SFML-devel fluidsynth-devel freeimage-devel ftgl-devel glew-devel

From f0ee065255f3838bae34f111f3e2f9266eb79a46 Mon Sep 17 00:00:00 2001
From: mobinmob <mobinmob@disroot.org>
Date: Sun, 30 Jun 2019 15:53:51 +0300
Subject: [PATCH 04/11] audacious-plugins: bump revision due to libfluidsynth
 soname change

---
 srcpkgs/audacious-plugins/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/audacious-plugins/template b/srcpkgs/audacious-plugins/template
index 36ed6252c4b..b09974a39c8 100644
--- a/srcpkgs/audacious-plugins/template
+++ b/srcpkgs/audacious-plugins/template
@@ -1,7 +1,7 @@
 # Template file for 'audacious-plugins'
 pkgname=audacious-plugins
 version=3.10.1
-revision=2
+revision=3
 build_style=gnu-configure
 hostmakedepends="pkg-config"
 makedepends="audacious-devel alsa-lib-devel pulseaudio-devel jack-devel

From cd87ea6240b66e1068902378046a9fbd6cbcf736 Mon Sep 17 00:00:00 2001
From: mobinmob <mobinmob@disroot.org>
Date: Sun, 30 Jun 2019 15:54:08 +0300
Subject: [PATCH 05/11] calf: bump revision due to libfluidsynth soname change

---
 srcpkgs/calf/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/calf/template b/srcpkgs/calf/template
index b1fd625c032..6c9e904453e 100644
--- a/srcpkgs/calf/template
+++ b/srcpkgs/calf/template
@@ -1,7 +1,7 @@
 # Template file for 'calf'
 pkgname=calf
 version=0.90.2
-revision=2
+revision=3
 build_style=gnu-configure
 configure_args="--enable-experimental"
 hostmakedepends="automake libtool pkg-config"

From a0a832939e9aa8db2a7a88a37cffb5d7a5871832 Mon Sep 17 00:00:00 2001
From: mobinmob <mobinmob@disroot.org>
Date: Sun, 30 Jun 2019 16:47:47 +0300
Subject: [PATCH 06/11] lmms: bump revision due to libfluidsynth soname change

---
 srcpkgs/lmms/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/lmms/template b/srcpkgs/lmms/template
index e4fa1c03b1e..45a21b0b9a6 100644
--- a/srcpkgs/lmms/template
+++ b/srcpkgs/lmms/template
@@ -1,7 +1,7 @@
 # Template file for 'lmms'
 pkgname=lmms
 version=1.2.0
-revision=1
+revision=2
 archs="~armv6*"
 build_style=cmake
 configure_args="-DWANT_QT5=ON -DWANT_WEAKJACK=OFF"

From bbe01f9939aee32e7a6a18c712da59c20869f6a4 Mon Sep 17 00:00:00 2001
From: mobinmob <mobinmob@disroot.org>
Date: Sun, 30 Jun 2019 16:51:12 +0300
Subject: [PATCH 07/11] gst-plugins-bad1:bump revision due to libfluidsynth
 soname change

---
 srcpkgs/gst-plugins-bad1/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/gst-plugins-bad1/template b/srcpkgs/gst-plugins-bad1/template
index d30fe17a359..a6597373de5 100644
--- a/srcpkgs/gst-plugins-bad1/template
+++ b/srcpkgs/gst-plugins-bad1/template
@@ -1,7 +1,7 @@
 # Template file for 'gst-plugins-bad1'
 pkgname=gst-plugins-bad1
 version=1.16.0
-revision=2
+revision=3
 wrksrc="${pkgname/1/}-${version}"
 build_helper="gir"
 build_style=meson

From 5ff765a605751bc5bc6559292944c804986c9691 Mon Sep 17 00:00:00 2001
From: mobinmob <mobinmob@disroot.org>
Date: Sun, 30 Jun 2019 17:22:19 +0300
Subject: [PATCH 08/11] prboom-plus: bump revision due to libfluidsynth soname
 change

---
 srcpkgs/prboom-plus/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/prboom-plus/template b/srcpkgs/prboom-plus/template
index a4bff1ae3ce..aa5fddca44e 100644
--- a/srcpkgs/prboom-plus/template
+++ b/srcpkgs/prboom-plus/template
@@ -1,7 +1,7 @@
 # Template file for 'prboom-plus'
 pkgname=prboom-plus
 version=2.5.1.4
-revision=2
+revision=3
 build_style=gnu-configure
 configure_args="--disable-cpu-opt --disable-dogs"
 hostmakedepends="pcre-devel fluidsynth-devel libmad-devel SDL_mixer-devel SDL_net-devel

From 89816970e898232265a250679cf8f35fbfbfb488 Mon Sep 17 00:00:00 2001
From: mobinmob <mobinmob@disroot.org>
Date: Sun, 30 Jun 2019 17:22:34 +0300
Subject: [PATCH 09/11] qsynth: bump revision due to libfluidsynth soname
 change

---
 srcpkgs/qsynth/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/qsynth/template b/srcpkgs/qsynth/template
index fff57e4ca69..509e5029624 100644
--- a/srcpkgs/qsynth/template
+++ b/srcpkgs/qsynth/template
@@ -1,7 +1,7 @@
 # Template file for 'qsynth'
 pkgname=qsynth
 version=0.5.6
-revision=1
+revision=2
 build_style=gnu-configure
 hostmakedepends="pkg-config qt5-tools"
 makedepends="qt5-x11extras-devel jack-devel fluidsynth-devel"

From 17fd3caf6eb8fec7cac39bc62304360572ba113d Mon Sep 17 00:00:00 2001
From: mobinmob <mobinmob@disroot.org>
Date: Sun, 30 Jun 2019 17:25:35 +0300
Subject: [PATCH 10/11] residualvm: bump revision due to libfluidsynth soname
 change

---
 srcpkgs/residualvm/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/residualvm/template b/srcpkgs/residualvm/template
index 556a3d48750..583d2a489ec 100644
--- a/srcpkgs/residualvm/template
+++ b/srcpkgs/residualvm/template
@@ -1,7 +1,7 @@
 # Template file for 'residualvm'
 pkgname=residualvm
 version=0.3.1
-revision=2
+revision=3
 build_style=configure
 configure_args="--prefix=/usr --enable-all-engines --enable-release
  --enable-flac --enable-faad --enable-fluidsynth $(vopt_enable sndio)"

From a83143435ed7577a407c8db2fd7cebb6edbb764e Mon Sep 17 00:00:00 2001
From: mobinmob <mobinmob@disroot.org>
Date: Sun, 30 Jun 2019 18:16:33 +0300
Subject: [PATCH 11/11] scummvm: bump revision due to libfluidsynth soname
 change

---
 srcpkgs/scummvm/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/scummvm/template b/srcpkgs/scummvm/template
index 52a03c694eb..935cd15f395 100644
--- a/srcpkgs/scummvm/template
+++ b/srcpkgs/scummvm/template
@@ -1,7 +1,7 @@
 # Template file for 'scummvm'
 pkgname=scummvm
 version=2.0.0
-revision=1
+revision=2
 build_style=configure
 configure_args="--prefix=/usr --enable-plugins --enable-all-engines"
 hostmakedepends="pkg-config nasm"
